> ## Documentation Index
> Fetch the complete documentation index at: https://bunny.net/docs/llms.txt
> Use this file to discover all available pages before exploring further.
# Get Origin Shield Queue Statistics
## OpenAPI
````yaml https://core-api-public-docs.b-cdn.net/docs/v3/public.json get /pullzone/{pullZoneId}/originshield/queuestatistics
openapi: 3.0.0
info:
title: bunny.net API
description: >-
Learn how to use the [bunny.net](https://bunny.net "bunny.net - The content delivery platform that truly hops.") API. Everything that can be done with the control panel can also be achieved with our API documented on this page. To learn how to use the storage API, have a look at our storage API documentation
Third party API clients:
We currently do not maintain an official API library, but you can use one of the third party ones provided here:
https://github.com/codewithmark/bunnycdn (bunny.net PHP library, thanks to Code With Mark)
Note that third party clients are not maintained or developed by bunny.net so we unfortunately cannot offer support for them.
termsOfService: https://bunny.net/tos
contact:
name: bunny.net
url: https://docs.bunny.net
email: support@bunny.net
version: 1.0.0
servers:
- url: https://api.bunny.net
description: bunny.net API Server
security:
- AccessKey: []
tags:
- name: Stream Video Library
- name: User
- name: AuditLog
- name: Storage Zone
- name: Statistics
- name: Search
- name: Pull Zone
- name: Pricing
- name: Load Balancer
- name: DNS Zone
- name: DNSSEC
- name: Billing
- name: API Keys
- name: Affiliate
- name: Countries
- name: Purge
- name: Region
paths:
/pullzone/{pullZoneId}/originshield/queuestatistics:
get:
tags:
- Statistics
summary: Get Origin Shield Queue Statistics
operationId: >-
GetOriginShieldConcurrencyStatisticsEndpoint_GetOriginShieldConcurrencyStatistics
parameters:
- name: pullZoneId
in: path
required: true
description: Id of a Pull Zone
schema:
type: integer
format: int64
x-position: 1
- name: dateFrom
in: query
description: >-
(Optional) The start date of the statistics. If no value is passed,
the last 30 days will be returned.
schema:
type: string
format: date-time
nullable: true
x-position: 2
- name: dateTo
in: query
description: >-
(Optional) The end date of the statistics. If no value is passed,
the last 30 days will be returned.
schema:
type: string
format: date-time
nullable: true
x-position: 3
- name: hourly
in: query
description: >-
(Optional) If true, the statistics data will be returned in hourly
groupping.
schema:
type: boolean
default: false
x-position: 4
responses:
'200':
description: The statistics data for the passed parameters.
content:
application/json:
schema:
$ref: '#/components/schemas/OriginShieldConcurrencyStatisticsModel'
'401':
description: The request authorization failed
'500':
description: Internal Server Error
security:
- AccessKey:
- User
- UserApi
- SubuserAPIPullZones
- SubuserPullZones
- SubuserManage
- SubuserAPIManage
- ScopedApiKey
- bearer:
- User
- UserApi
- SubuserAPIPullZones
- SubuserPullZones
- SubuserManage
- SubuserAPIManage
- ScopedApiKey
components:
schemas:
OriginShieldConcurrencyStatisticsModel:
type: object
additionalProperties: false
properties:
ConcurrentRequestsChart:
type: object
description: The constructed chart of origin shield concurrent requests
nullable: true
additionalProperties:
type: integer
format: int64
QueuedRequestsChart:
type: object
description: The constructed chart of origin shield requests chart
nullable: true
additionalProperties:
type: integer
format: int64
securitySchemes:
AccessKey:
type: apiKey
description: API Access Key authorization header
name: AccessKey
in: header
bearer:
type: apiKey
description: Bearer token authorization header
name: Authorization
in: header
````
This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.